<?xml version="1.0" encoding="utf-8"?>
<xsl:stylesheet version="1.0" 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:xsd="http://www.w3.org/2001/XMLSchema" 
    xmlns:pos="http://crd.gov.pl/xml/schematy/UPO/2008/05/09/" 
    xmlns:xades="http://uri.etsi.org/01903/v1.3.2#" 
    xmlns:ds="http://www.w3.org/2000/09/xmldsig#">
  <xsl:output method="html" encoding="UTF-8" />
  <xsl:template match="/">
    <html>
      <head>
        <style type="text/css">.element{ font-family: Arial; font-size: 10pt; color: #800000; }</style>
        <style type="text/css">.tekst{ font-family: Arial; font-size: 10pt; color: #808080; }</style>
        <style type="text/css">.naglowek{ font-family: Arial; font-size: 12pt; font-weight: bold; color: #000000; }</style>
        <style type="text/css">.naglowek2{ font-family: Arial; font-size: 10pt; font-weight: bold; color: #000000; }</style>
        <title>Urzędowe Poświadczenie Odbioru</title>
      </head>
      <body class="tekst">
        <xsl:for-each select="Potwierdzenie">
          <span class="naglowek">
            <xsl:text>UPO - Urzędowe Poświadczenie Odbioru</xsl:text>
          </span>
          <br />
          <br />
          <xsl:choose>
            <xsl:when test="NazwaPodmiotuPrzyjmujacego!=''">
              <span class="element">
                <xsl:text>NazwaPodmiotuPrzyjmujacego: </xsl:text>
              </span>
              <xsl:value-of select="NazwaPodmiotuPrzyjmujacego" />
              <br />
              <br />
            </xsl:when>
            <xsl:otherwise />
          </xsl:choose>
          <xsl:choose>
            <xsl:when test="NumerReferencyjny!=''">
              <span class="element">
                <xsl:text>NumerReferencyjny: </xsl:text>
              </span>
              <xsl:value-of select="NumerReferencyjny" />
              <br />
              <br />
            </xsl:when>
            <xsl:otherwise />
          </xsl:choose>

          <xsl:choose>
            <xsl:when test="SkrotDokumentu!=''">
              <span class="element">
                <xsl:text>SkrotDokumentu: </xsl:text>
              </span>
              <xsl:value-of select="SkrotDokumentu" />
              <br />
              <br />
            </xsl:when>
            <xsl:otherwise />
          </xsl:choose>
          <xsl:choose>
            <xsl:when test="SkrotZlozonejStruktury!=''">
              <span class="element">
                <xsl:text>SkrotZlozonejStruktury: </xsl:text>
              </span>
              <xsl:value-of select="SkrotZlozonejStruktury" />
              <br />
              <br />
            </xsl:when>
            <xsl:otherwise />
          </xsl:choose>
          <xsl:choose>
            <xsl:when test="NumerReferencyjny!=''">
              <span class="element">
                <xsl:text>NumerReferencyjny: </xsl:text>
              </span>
              <xsl:value-of select="NumerReferencyjny" />
              <br />
              <br />
            </xsl:when>
            <xsl:otherwise />
          </xsl:choose>
          <xsl:choose>
            <xsl:when test="NazwaStrukturyLogicznej!=''">
              <span class="element">
                <xsl:text>NazwaStrukturyLogicznej: </xsl:text>
              </span>
              <xsl:value-of select="NazwaStrukturyLogicznej" />
              <br />
              <br />
            </xsl:when>
            <xsl:otherwise />
          </xsl:choose>
          <xsl:choose>
            <xsl:when test="DataWplyniecia!=''">
              <span class="element">
                <xsl:text>DataWplyniecia: </xsl:text>
              </span>
              <xsl:value-of select="DataWplyniecia" />
              <br />
              <br />
            </xsl:when>
            <xsl:otherwise />
          </xsl:choose>
          <xsl:choose>
            <xsl:when test="StempelCzasu!=''">
              <span class="element">
                <xsl:text>StempelCzasu: </xsl:text>
              </span>
              <xsl:value-of select="StempelCzasu" />
              <br />
              <br />
            </xsl:when>
            <xsl:otherwise />
          </xsl:choose>
          <xsl:choose>
            <xsl:when test="PESEL1!=''">
              <span class="element">
                <xsl:text>PESEL1: </xsl:text>
              </span>
              <xsl:value-of select="PESEL1" />
              <br />
              <br />
            </xsl:when>
            <xsl:otherwise />
          </xsl:choose>
          <xsl:choose>
            <xsl:when test="KodUrzedu!=''">
              <span class="element">
                <xsl:text>KodUrzedu: </xsl:text>
              </span>
              <xsl:value-of select="KodUrzedu" />
              <br />
              <br />
            </xsl:when>
            <xsl:otherwise />
          </xsl:choose>
          <xsl:choose>
            <xsl:when test="KodFormularza!=''">
              <span class="element">
                <xsl:text>KodFormularza: </xsl:text>
              </span>
              <xsl:value-of select="KodFormularza" />
              <br />
              <br />
            </xsl:when>
            <xsl:otherwise />
          </xsl:choose>
          <xsl:choose>
            <xsl:when test="Przyjeto!=''">
              <span class="element">
                <xsl:text>Przyjeto: </xsl:text>
              </span>
              <xsl:value-of select="Przyjeto" />
              <br />
              <br />
            </xsl:when>
            <xsl:otherwise />
          </xsl:choose>
          
        <br />
        </xsl:for-each>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>
